---
title: Assignments
description: The following endpoint has been added to support the extraction of assignments. New APIs introduced in this release are marked with .
component: autonomous-identity
version: 2022.11.12
page_id: autonomous-identity:api-guide:chap-assignments-api
canonical_url: https://docs.pingidentity.com/autonomous-identity/2022.11.12/api-guide/chap-assignments-api.html
section_ids:
  post_apiassignments: POST /api/assignments
---

# Assignments

The following endpoint has been added to support the extraction of assignments. New APIs introduced in this release are marked with [icon: star, set=fa].

## POST /api/assignments

* [icon: star, set=fa]

  POST /api/assignments

  Get a list of all assignments or filtered assignments when the following optional filtering is sent as a JSON request body.

  The endpoint requires a valid API key passed in a `X-API-KEY` header for authorization (refer to [Generate an API key](chap-obtain-api-key.html)) or an authorized admin-level bearer token.

  Endpoint

  \+

  ```
  /api/assignments
  ```

  Headers

  \+

  ```
  Content-Type      application/json
  ```

  Body Parameters

  | Parameter | Type    | Description                                                                                            |
  | --------- | ------- | ------------------------------------------------------------------------------------------------------ |
  | cursor    | string  | Cursor to send for the next page of assignments (the response returns null if there are no more pages) |
  | pageSize  | integer | Number of assignments to return per page                                                               |
  | ent\_id   | string  | Entitlement ID to filter by                                                                            |
  | usr\_id   | string  | User ID to filter by                                                                                   |
  | app\_id   | string  | Application ID to filter by                                                                            |

  Example Request

  \+

  ```
  curl -k -X POST \
  https://autoid-ui.forgerock.com/api/assignments \
  -H 'X-API-KEY: <api key value>' \
  -H 'Content-Type: application/json' \
  -d '{
    "pageSize": 20,
    "cursor": "WyJhYXJvbi5maXNjaGVyIiwiV0VCX3VzZXJfU2hhcmVkX0VkaXRfQURNSU5fSUkiXQ=="
  }'
  ```

  Example Response

  \+

  ```
  {
    "cursor": "WyJhYXJvbi5mb2x0eiIsIldlYl9TZXJ2aWNlQW5hbHl0aWNzIDogS1BJIEFnZW50IGFuZCBQb3dlciBBY2Nlc3NfSUkiXQ==",
    "assignments": [
     {
        "ent_id": "WEB_user_Web_Local Access 32 All_II_Europe",
        "usr_id": "aaron.fischer",
        "score": null,
        "justification": []
      },
     {
        "ent_id": "WEB_user_Web_Shared_Edit_ADMIN_Europe",
        "usr_id": "aaron.fischer",
        "score": null,
        "justification": []
     },
     {
        "ent_id": "WEB_user_Web_WEB RCQ Flare NonIT Distribution_Europe",
        "usr_id": "aaron.fischer",
        "score": 0.98,
        "justification": [
         {
            "id": "CHIEF_YES_NO",
            "title": "chief_yes_no",
            "value": "Yes"
         },
         {
            "id": "USR_DEPARTMENT_NAME",
            "title": "USR_DEPARTMENT_NAME",
            "value": "Information Systems 1"
         }
        ]
     },
     {
        "ent_id": "Web_Flare NonIT Distribution",
        "usr_id": "aaron.fischer",
        "score": 0.6,
        "justification": [
         {
           "id": "CITY",
           "title": "city",
           "value": "Jacksonville"
         },
         {
           "id": "USR_EMP_TYPE",
           "title": "usr_emp_type",
           "value": "Employee"
         },
         {
           "id": "LINE_OF_BUSINESS",
           "title": "line_of_business",
           "value": "Strategy and Policy"
         }
        ]
      }
    ]
  }
  ```
